"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

exports.default = function () {
  var classNames = [];

  return {
    addClass: function addClass(updateClassNames) {
      return function (className) {
        classNames = [].concat(_toConsumableArray(classNames), [className]);
        updateClassNames(classNames);
      };
    },
    getHeight: function getHeight(element) {
      return function () {
        return element.offsetHeight;
      };
    },
    getIdleOutlineStyleValue: function getIdleOutlineStyleValue(elementIdleOutline) {
      return function (property) {
        return window.getComputedStyle(elementIdleOutline).getPropertyValue(property);
      };
    },
    getWidth: function getWidth(element) {
      return function () {
        return element.offsetWidth;
      };
    },
    removeClass: function removeClass(updateClassNames) {
      return function (className) {
        classNames = classNames.filter(function (currentClassName) {
          return currentClassName !== className;
        });
        updateClassNames(classNames);
      };
    }
  };
};